//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USEFORM("miscCameraControl.cpp", frmCameraControl);
USEFORM("miscVideoControl.cpp", frmVideoControl);
USEFORM("miscSpecialControl.cpp", frmSpecialControls);
USEFORM("miscVideoQuality.cpp", frmVideoQuality);
USEFORM("MainForm.cpp", frmMainForm);
//---------------------------------------------------------------------------
int WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
        try
        {
                 Application->Initialize();
                 Application->CreateForm(__classid(TfrmMainForm), &frmMainForm);
		Application->CreateForm(__classid(TfrmVideoQuality), &frmVideoQuality);
		Application->CreateForm(__classid(TfrmCameraControl), &frmCameraControl);
		Application->CreateForm(__classid(TfrmVideoControl), &frmVideoControl);
		Application->CreateForm(__classid(TfrmSpecialControls), &frmSpecialControls);
		Application->Run();
        }
        catch (Exception &exception)
        {
                 Application->ShowException(&exception);
        }
        return 0;
}
//---------------------------------------------------------------------------
